package ink.wgink.module.activiti.enums.oa;

/**
 * @ClassName: ProcessTaskTypeEnum
 * @Description: 流程任务类型
 * @Author: wanggeng
 * @Date: 2022/4/15 18:12
 * @Version: 1.0
 */
public enum ProcessTaskStatusEnum {

    NEED_TO_BE_DEALT_WITH("needToBeDealtWith", "待办"),
    ALREADY_DONE("alreadyDone", "已办");

    private String value;
    private String summary;

    ProcessTaskStatusEnum(String value, String summary) {
        this.value = value;
        this.summary = summary;
    }

    public String getValue() {
        return value == null ? "" : value.trim();
    }

    public String getSummary() {
        return summary == null ? "" : summary.trim();
    }
}
